For the complete documentation index, see llms.txt. This page is also available as Markdown.

Orders

Place and manage customer orders.

List orders

get
/store/orders

Returns all orders placed in the store. Does not currently support filtering or pagination.

Filtering and pagination are planned for v2. Subscribe to the changelog for updates.

Authorizations
AuthorizationstringRequired

Pass your API key as a Bearer token in the Authorization header.

Responses
200

An array of orders.

application/json
idinteger · int64Optional

Unique order identifier.

petIdinteger · int64Optional

The ID of the animal in this order.

quantityintegerOptional

Number of units ordered.

shipDatestring · date-timeOptional

Expected or actual ship date in ISO 8601 format.

completebooleanOptional

Whether the order has been fulfilled.

get
/store/orders
Beta

Cancel an order

delete
/store/orders/{orderId}

Cancels an order by ID. Only orders with a status of pending can be cancelled — orders that have already shipped cannot be reversed.

Authorizations
AuthorizationstringRequired

Pass your API key as a Bearer token in the Authorization header.

Path parameters
orderIdinteger · int64Required

The ID of the order to cancel.

Responses
delete
/store/orders/{orderId}

No content

Last updated